Bug 597296 - Huawei E220 no longer able to connect to the 3G Network
Huawei E220 no longer able to connect to the 3G Network
Status: CLOSED DUPLICATE of bug 597088
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 587551 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 11:28 EDT by Louis van Dyk
Modified: 2010-07-20 13:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 13:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output logged to /var/log/messages (15.94 KB, application/octet-stream)
2010-05-28 11:28 EDT, Louis van Dyk
no flags Details
/var/log/messages (2.60 MB, text/plain)
2010-05-30 13:38 EDT, yunus
no flags Details
flip condition (474 bytes, patch)
2010-06-01 12:45 EDT, Jirka Klimes
no flags Details | Diff
/var/log/messages and lsusb -v output (28.89 KB, application/octet-stream)
2010-06-22 08:22 EDT, Louis van Dyk
no flags Details
Log of Modem Manager test on 30 June 2010 (9.44 KB, application/octet-stream)
2010-06-29 21:21 EDT, Louis van Dyk
no flags Details
Log of Network Manager test on 30 June 2010 (8.71 KB, application/octet-stream)
2010-06-29 21:23 EDT, Louis van Dyk
no flags Details

  None (edit)
Description Louis van Dyk 2010-05-28 11:28:49 EDT
Created attachment 417653 [details]
Output logged to /var/log/messages

Description of problem:
My Huawei E220 modem USED to work on Fedora 12. I am not sure at what point in time this changed, but it was probably in the early part of 2010. In the past, I could click on the defined connection in Network Manager and the E220 would connect to the 3G network without any problems.

Now, Network Manager still sees the modem and I can add a new connection, but when I click to connect, /var/log/messages show it connects and immediately disconnects with a "reason 36".

If I use an XP guest on Virtualbox on the Fedora 12 Host on the same notebook, it works. Also, I can make it connect using wvdial.  So the modem is working on the notebook, but NetworkManager is unable to make it connect.

On my home PC, also running Fedora 12, I have exactly the same response.  So it is not modem related, and it is not hardware or specific installation related.


Version-Release number of selected component (if applicable):
ModemManager-0.3-9.git20100409.fc12.x86_64
kernel-2.6.32.12-115.fc12.x86_64
NetworkManager-0.8.0-6.git20100408.fc12.x86_64
ppp-2.4.5-8.fc12.x86_64

How reproducible:
Every time!

Steps to Reproduce:
1. Plug in e220 modem and wait for it to register on the 3G network (LED pulses blue)
2. Add a connection with the Wizard (or use an existing one know to have worked before).
3. Open NetworkManager and select my 3G Connection.  
  
Actual results:
For about 0.5 second the green spinning circles appear on the NetworkManager icon.  Simultaneously the Broadband Mobile items disappear from the NetworkManager list, but reappear after about 10 seconds.  The connection was never established.  /var/log/messages shows the error as "Reason 36".

Expected results:
It should connect to the Broadband Mobile network.

Additional info:
The signal strength of the connection is not shown at all.
Comment 1 yunus 2010-05-30 13:38:56 EDT
Created attachment 418075 [details]
/var/log/messages
Comment 2 yunus 2010-05-30 13:43:26 EDT
---output of ModemManager--

[root@localhost yunustj]# service NetworkManager stop
Stopping NetworkManager daemon:                            [  OK  ]
[root@localhost yunustj]# killall -TERM modem-manager
[root@localhost yunustj]# modem-manager --debug
** Message: Loaded plugin Novatel
** Message: Loaded plugin Sierra
** Message: Loaded plugin ZTE
** Message: Loaded plugin MotoC
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Generic
** Message: Loaded plugin Nokia
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Option
** Message: Loaded plugin AnyData
** Message: Loaded plugin Ericsson MBM
** (modem-manager:13740): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:13740): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:13740): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:13740): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:13740): DEBUG: (net/pan0): could not get port's parent device
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** Message: (ttyUSB1) opening serial device...
** (modem-manager:13740): DEBUG: <1275239338.955344> (ttyUSB1) device open count is 1 (open)
** (modem-manager:13740): DEBUG: (ttyUSB1): probe requested by plugin 'Huawei'
** (modem-manager:13740): DEBUG: <1275239338.969429> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...

** (modem-manager:13740): CRITICAL **: mm_serial_port_close: assertion `priv->open_count > 0' failed
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** Message: (ttyUSB1) opening serial device...
** (modem-manager:13740): DEBUG: <1275239339.229320> (ttyUSB1) device open count is 1 (open)
** (modem-manager:13740): DEBUG: (ttyUSB1): probe requested by plugin 'Huawei'
** (modem-manager:13740): DEBUG: <1275239339.238759> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** Message: (ttyUSB1) opening serial device...
** (modem-manager:13740): DEBUG: <1275239340.224309> (ttyUSB1) device open count is 1 (open)
** (modem-manager:13740): DEBUG: (ttyUSB1): probe requested by plugin 'Huawei'
** (modem-manager:13740): DEBUG: <1275239340.325480> (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:13740): DEBUG: <1275239341.126684> (ttyUSB1): <-- '<CR><LF>NO CARRIER<CR><LF>'
** (modem-manager:13740): DEBUG: Got failure code 3: No carrier
** (modem-manager:13740): DEBUG: <1275239341.126947> (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:13740): DEBUG: <1275239341.328248> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** Message: (ttyUSB1) opening serial device...
** (modem-manager:13740): DEBUG: <1275239342.285293> (ttyUSB1) device open count is 1 (open)
** (modem-manager:13740): DEBUG: (ttyUSB1): probe requested by plugin 'Huawei'
** (modem-manager:13740): DEBUG: <1275239342.386321> (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:13740): DEBUG: <1275239342.587666> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** Message: (ttyUSB1) opening serial device...
** (modem-manager:13740): DEBUG: <1275239343.531381> (ttyUSB1) device open count is 1 (open)
** (modem-manager:13740): DEBUG: (ttyUSB1): probe requested by plugin 'Huawei'
** (modem-manager:13740): DEBUG: <1275239343.531500> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...

** (modem-manager:13740): CRITICAL **: mm_serial_port_close: assertion `priv->open_count > 0' failed
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** Message: (ttyUSB1) opening serial device...

** (modem-manager:13740): CRITICAL **: mm_serial_port_close: assertion `priv->open_count > 0' failed
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
** (modem-manager:13740): DEBUG: (Huawei): (ttyUSB0) deferring support check
Segmentation fault (core dumped)
[root@localhost yunustj]#
Comment 3 yunus 2010-05-30 13:45:24 EDT
---output of NetworkManager---

[root@localhost yunustj]# NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
NetworkManager[14682]: <info> NetworkManager (version 0.8.0.997) is starting...
NetworkManager[14682]: <info> modem-manager is now available
NetworkManager[14682]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
NetworkManager[14682]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager[14682]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
NetworkManager[14682]:    ifcfg-rh:     error: Missing SSID
NetworkManager[14682]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
NetworkManager[14682]:    ifcfg-rh:     read connection 'System eth0'
NetworkManager[14682]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
NetworkManager[14682]: <info> found WiFi radio killswitch rfkill3 (at /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/ieee80211/phy0/rfkill3) (driver <unknown>)
NetworkManager[14682]: <info> found WiFi radio killswitch rfkill1 (at /sys/devices/platform/acer-wmi/rfkill/rfkill1) (driver acer-wmi)
NetworkManager[14682]: <info> WiFi enabled by radio killswitch; enabled by state file
NetworkManager[14682]: <info> WWAN enabled by radio killswitch; disabled by state file
NetworkManager[14682]: <info> WiMAX enabled by radio killswitch; enabled by state file
NetworkManager[14682]: <info> Networking is enabled by state file
NetworkManager[14682]: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager[14682]: <info> (wlan0): new 802.11 WiFi device (driver: 'iwl3945' ifindex: 3)
NetworkManager[14682]: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager[14682]: <info> (wlan0): now managed
NetworkManager[14682]: <info> (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager[14682]: <info> (wlan0): bringing up device.
NetworkManager[14682]: <info> (wlan0): preparing device.
NetworkManager[14682]: <info> (wlan0): deactivating device (reason: 2).
NetworkManager[14682]: <info> (eth0): carrier is OFF
NetworkManager[14682]: <info> (eth0): new Ethernet device (driver: 'tg3' ifindex: 2)
NetworkManager[14682]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
NetworkManager[14682]: <info> (eth0): now managed
NetworkManager[14682]: <info> (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager[14682]: <info> (eth0): bringing up device.
NetworkManager[14682]: <info> (eth0): preparing device.
NetworkManager[14682]: <info> (eth0): deactivating device (reason: 2).
NetworkManager[14682]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
NetworkManager[14682]: <warn> /sys/devices/virtual/net/virbr0: couldn't determine device driver; ignoring...
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1275239395 pid=4208986
NetworkManager[14682]: <info> (wlan0): supplicant interface state:  starting -> ready
NetworkManager[14682]: <info> (wlan0): device state change: 2 -> 3 (reason 42)
NetworkManager[14682]: <info> the modem manager disappeared
NetworkManager[14682]: <info> trying to start the modem manager...
NetworkManager[14682]: <info> modem-manager is now available
NetworkManager[14682]: <info> the modem manager disappeared
NetworkManager[14682]: <info> trying to start the modem manager...
NetworkManager[14682]: <info> modem-manager is now available
NetworkManager[14682]: <info> the modem manager disappeared
NetworkManager[14682]: <info> trying to start the modem manager...
NetworkManager[14682]: <info> modem-manager is now available
NetworkManager[14682]: <info> the modem manager disappeared
NetworkManager[14682]: <info> trying to start the modem manager...
NetworkManager[14682]: <info> modem-manager is now available
NetworkManager[14682]: <info> the modem manager disappeared
NetworkManager[14682]: <info> trying to start the modem manager...
NetworkManager[14682]: <info> modem-manager is now available
NetworkManager[14682]: <warn> (ttyUSB0): failed to look up interface index
NetworkManager[14682]: <info> (ttyUSB0): new GSM device (driver: 'option1' ifindex: -1)
NetworkManager[14682]: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager[14682]: <info> (ttyUSB0): now managed
NetworkManager[14682]: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
NetworkManager[14682]: <info> (ttyUSB0): deactivating device (reason: 2).
NetworkManager[14682]: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
NetworkManager[14682]: <info> (ttyUSB0): now unmanaged
NetworkManager[14682]: <info> (ttyUSB0): device state change: 3 -> 1 (reason 36)
NetworkManager[14682]: <info> (ttyUSB0): cleaning up...
NetworkManager[14682]: <info> (ttyUSB0): taking down device.
^CNetworkManager[14682]: <info> caught signal 2, shutting down normally.
NetworkManager[14682]: <info> (wlan0): taking down device.
NetworkManager[14682]: <info> (eth0): cleaning up...
NetworkManager[14682]: <info> (eth0): taking down device.
NetworkManager[14682]: <info> exiting (success)
[root@localhost yunustj]# NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
NetworkManager[8254]: <info> NetworkManager (version 0.8.0.997) is starting...
NetworkManager[8254]: <info> modem-manager is now available
NetworkManager[8254]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
NetworkManager[8254]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager[8254]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
NetworkManager[8254]:    ifcfg-rh:     error: Missing SSID
NetworkManager[8254]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
NetworkManager[8254]:    ifcfg-rh:     read connection 'System eth0'
NetworkManager[8254]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
NetworkManager[8254]: <info> found WiFi radio killswitch rfkill3 (at /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/ieee80211/phy0/rfkill3) (driver <unknown>)
NetworkManager[8254]: <info> found WiFi radio killswitch rfkill1 (at /sys/devices/platform/acer-wmi/rfkill/rfkill1) (driver acer-wmi)
NetworkManager[8254]: <info> WiFi enabled by radio killswitch; enabled by state file
NetworkManager[8254]: <info> WWAN enabled by radio killswitch; disabled by state file
NetworkManager[8254]: <info> WiMAX enabled by radio killswitch; enabled by state file
NetworkManager[8254]: <info> Networking is enabled by state file
NetworkManager[8254]: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager[8254]: <info> (wlan0): new 802.11 WiFi device (driver: 'iwl3945' ifindex: 3)
NetworkManager[8254]: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager[8254]: <info> (wlan0): now managed
NetworkManager[8254]: <info> (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager[8254]: <info> (wlan0): bringing up device.
NetworkManager[8254]: <info> (wlan0): preparing device.
NetworkManager[8254]: <info> (wlan0): deactivating device (reason: 2).
NetworkManager[8254]: <info> (eth0): carrier is OFF
NetworkManager[8254]: <info> (eth0): new Ethernet device (driver: 'tg3' ifindex: 2)
NetworkManager[8254]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
NetworkManager[8254]: <info> (eth0): now managed
NetworkManager[8254]: <info> (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager[8254]: <info> (eth0): bringing up device.
NetworkManager[8254]: <info> (eth0): preparing device.
NetworkManager[8254]: <info> (eth0): deactivating device (reason: 2).
NetworkManager[8254]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
NetworkManager[8254]: <warn> /sys/devices/virtual/net/virbr0: couldn't determine device driver; ignoring...
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1275240387 pid=4202558
NetworkManager[8254]: <info> (wlan0): supplicant interface state:  starting -> ready
NetworkManager[8254]: <info> (wlan0): device state change: 2 -> 3 (reason 42)
^[[A^[[B^[[B^CNetworkManager[8254]: <info> caught signal 2, shutting down normally.
NetworkManager[8254]: <info> (wlan0): taking down device.
NetworkManager[8254]: <info> (eth0): cleaning up...
NetworkManager[8254]: <info> (eth0): taking down device.
NetworkManager[8254]: <info> exiting (success)
Comment 4 yunus 2010-05-30 13:47:42 EDT
Version-Release number of selected component (if applicable):

[root@localhost Desktop]# rpm -qa | grep Manager
NetworkManager-0.8.1-0.1.git20100510.fc12.x86_64
NetworkManager-gnome-0.8.1-0.1.git20100510.fc12.x86_64
NetworkManager-openvpn-0.8-2.git20100411.fc12.x86_64
NetworkManager-pptp-0.8.0-1.git20100411.fc12.x86_64
NetworkManager-glib-0.8.1-0.1.git20100510.fc12.x86_64
ModemManager-0.3-13.git20100507.fc12.x86_64
NetworkManager-vpnc-0.8.0-1.git20100411.fc12.x86_64
Comment 5 Jirka Klimes 2010-06-01 12:45:20 EDT
Created attachment 418727 [details]
flip condition


According to comment #2, modem-manager goes to infinite loops and crashes.
I'm not quite sure, but it could be caused by this commit:
http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=49c363d83af84021f74f04c8141313d21e75821b

See the patch in the attachment.
Comment 6 Louis van Dyk 2010-06-19 13:52:55 EDT
Hi Jirka

I have looked at this and have NO idea on how to apply the fix.  Do I need the src or the devel package?  How do I apply the diff?  Is there a HOWTO you can point me to?

I have installed Fedora 13 on another PC and it still has the same fault.

Any pointers will be welcome.

Thanks
Louis
Comment 7 Dan Williams 2010-06-22 05:00:49 EDT
I've pushed jklimes' fix and will roll that into an MM update shortly so we can figure out if it fixes the crash or not.
Comment 8 Dan Williams 2010-06-22 05:22:41 EDT
I've built a scratch package here: if you could grab the packages from here relevant to your architecture (x86_64 or i686) and see if they fix the problem, that would be great.  Thanks!

http://koji.fedoraproject.org/koji/taskinfo?taskID=2264691

(click on the appropriate "Descendent Tasks" for your architecture and grab the packages in the links at the bottom of the Descendent Task page).  You really only need the ModemManager RPM, not the .src.rpm or the debuginfo RPM.
Comment 9 Louis van Dyk 2010-06-22 08:20:41 EDT
Thanks, but sadly this did not work.

The RPM used was: ModemManager-0.4-1.git20100622.fc13.x86_64.rpm  

I have uploaded an attachment with my results: the /var/log/messages file and the output of lsusb -v.

Please let me know what else I can do to assist in solving this.

Regards
Louis
Comment 10 Louis van Dyk 2010-06-22 08:22:28 EDT
Created attachment 425902 [details]
/var/log/messages and lsusb -v output

Results in response to Dan's request to test of 22 June 2010.
Comment 11 Dan Williams 2010-06-22 14:20:34 EDT
Ok, thanks for testing.  One more thing.  Let's try to get a backtrace from modem-manager when it dies.  Here's what you do:

1) start with the device unplugged
2) grab the -debuginfo RPM from the koji link above and install it.  This will give us much more useful backtraces.
3) mv /usr/sbin/modem-manager /
4) killall -TERM modem-manager
5) gdb /modem-manager
6) at the "(gdb)" prompt type "run --debug" and hit return
7) now plug your modem in and reproduce the problem
8) watch the "gdb" window, when MM crashes you'll see it return to the (gdb) prompt at the bottom of the window and it'll say something like "received SIGSEGV".
9) now type "t a a bt" (thread apply all backtrace) and hit return, it may spit out a few pages of output, and you might need to hit Return a few times when GDB asks you to do so.  Copy & paste that into this bug report so I can figure out what's going wrong.

Thanks!
Comment 12 Louis van Dyk 2010-06-22 19:22:32 EDT
Hi Dan

Not too many lines, and nothing after entering the t a a bt.  So here is the output.

It asked more more debug packages.  Do you need another run with all of those?

Thanks for your efforts!!

[root@fedora Download]# gdb /modem-manager
GNU gdb (GDB) Fedora (7.1-26.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /modem-manager...Reading symbols from /usr/lib/debug/usr/sbin/modem-manager.debug...done.
done.
(gdb) run --debug
Starting program: /modem-manager --debug
[Thread debugging using libthread_db enabled]
** Message: ModemManager (version 0.4) starting...
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Huawei
** Message: Loaded plugin SimTech
** Message: Loaded plugin Gobi
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Generic
** Message: Loaded plugin Nokia
** Message: Loaded plugin MotoC
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option
** Message: Loaded plugin ZTE
** Message: Loaded plugin AnyData
** Message: Loaded plugin Sierra
** (modem-manager:30278): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:30278): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:30278): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:30278): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:30278): DEBUG: (net/sit0): could not get port's parent device
** (modem-manager:30278): DEBUG: (Huawei): (ttyUSB1) deferring support check
** Message: (ttyUSB0) opening serial device...
** (modem-manager:30278): DEBUG: <1277248469.341724> (ttyUSB0) device open count is 1 (open)
** (modem-manager:30278): DEBUG: (ttyUSB0): probe requested by plugin 'Huawei'
** (modem-manager:30278): DEBUG: <1277248469.443767> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:30278): DEBUG: <1277248470.244534> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248470.244702> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** Message: (ttyUSB0) type primary claimed by /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2
** Message: (ttyUSB0) opening serial device...
** (modem-manager:30278): DEBUG: <1277248470.257706> (ttyUSB0) device open count is 1 (open)
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2 claimed port ttyUSB0
** (modem-manager:30278): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2
** (modem-manager:30278): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2
** (modem-manager:30278): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2
** (modem-manager:30278): DEBUG: <1277248470.259786> (ttyUSB0): --> 'AT+CPIN?<CR>'
** (modem-manager:30278): DEBUG: <1277248470.269830> (ttyUSB0): <-- 'AT'
** (modem-manager:30278): DEBUG: <1277248470.271701> (ttyUSB0): <-- '+'
** (modem-manager:30278): DEBUG: <1277248470.271799> (ttyUSB0): <-- 'C'
** (modem-manager:30278): DEBUG: <1277248470.273917> (ttyUSB0): <-- 'PIN?<CR><CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248470.274042> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** (modem-manager:30278): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2
** (modem-manager:30278): DEBUG: (ttyUSB1): re-checking support...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:30278): DEBUG: <1277248472.333728> (ttyUSB1) device open count is 1 (open)
** (modem-manager:30278): DEBUG: <1277248473.157571> (ttyUSB1): <-- '<CR><LF>^RSSI:0<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248473.157700> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB1) type secondary claimed by /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2 claimed port ttyUSB1
** (modem-manager:30278): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.3/usb5/5-2 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:30278): DEBUG: (/org/freedesktop/ModemManager/Modems/0): data port is ttyUSB0
** Message: (ttyUSB0) opening serial device...
** (modem-manager:30278): DEBUG: <1277248518.431347> (ttyUSB0) device open count is 1 (open)
** (modem-manager:30278): DEBUG: <1277248518.431420> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:30278): DEBUG: <1277248518.532375> (ttyUSB0): --> 'ATZ E0 V1<CR>'
** (modem-manager:30278): DEBUG: <1277248518.542947> (ttyUSB0): <-- 'ATZ E0 V1'
** (modem-manager:30278): DEBUG: <1277248518.543743> (ttyUSB0): <-- '<CR>'
** (modem-manager:30278): DEBUG: <1277248518.564721> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.564875> (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:30278): DEBUG: <1277248518.571538> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.571648> (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:30278): DEBUG: <1277248518.583578> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.583704> (ttyUSB0): --> 'ATX4 &C1<CR>'
** (modem-manager:30278): DEBUG: <1277248518.595694> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.595821> (ttyUSB0): --> 'AT+CFUN=1<CR>'
** (modem-manager:30278): DEBUG: <1277248518.608701> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:30278): DEBUG: <1277248518.611340> (ttyUSB1) device open count is 1 (open)
** (modem-manager:30278): DEBUG: <1277248518.611483> (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:30278): DEBUG: <1277248518.627685> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.627811> (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:30278): DEBUG: <1277248518.636671> (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.636817> (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:30278): DEBUG: <1277248518.646602> (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.646740> (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:30278): DEBUG: <1277248518.655699> (ttyUSB0): <-- '<CR><LF>11.117.10.00.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.655843> (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:30278): DEBUG: <1277248518.665543> (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.665672> (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:30278): DEBUG: <1277248518.677545> (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.677661> (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:30278): DEBUG: <1277248518.690554> (ttyUSB0): <-- '<CR><LF>11.117.10.00.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.690708> (ttyUSB0): --> 'AT^SYSCFG?<CR>'
** (modem-manager:30278): DEBUG: <1277248518.706551> (ttyUSB0): <-- '<CR><LF>^SYSCFG:2,0,3FFFFFFF,1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.706719> (ttyUSB0): --> 'AT+CSCS=?<CR>'
** (modem-manager:30278): DEBUG: <1277248518.718668> (ttyUSB0): <-- '<CR><LF>+CSCS: ("IRA","GSM","UCS2")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.718904> (ttyUSB0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:30278): DEBUG: <1277248518.737700> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.737832> (ttyUSB0): --> 'AT+CSCS?<CR>'
** (modem-manager:30278): DEBUG: <1277248518.751677> (ttyUSB0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.751877> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:30278): DEBUG: <1277248518.752089> (ttyUSB0): --> 'AT+CREG=2<CR>'
** (modem-manager:30278): DEBUG: <1277248518.764572> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.764709> (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:30278): DEBUG: <1277248518.776668> (ttyUSB0): <-- '<CR><LF>+CSQ: 14,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.776957> (ttyUSB0): --> 'AT+CREG?<CR>'
** (modem-manager:30278): DEBUG: <1277248518.788668> (ttyUSB0): <-- '<CR><LF>+CREG: 2,1,29E6,2D631EB<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: Registration state changed: 1
** (modem-manager:30278): DEBUG: <1277248518.788854> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:30278): DEBUG: <1277248518.788951> (ttyUSB0): --> 'AT+CGREG=2<CR>'
** (modem-manager:30278): DEBUG: <1277248518.802697> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.802887> (ttyUSB0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:30278): DEBUG: <1277248518.823993> (ttyUSB0): network_mode => 0
** (modem-manager:30278): DEBUG: <1277248518.823993> (ttyUSB0): allowed_mode => 0
** (modem-manager:30278): DEBUG: <1277248518.823993> (ttyUSB0): number => "*99#"
** (modem-manager:30278): DEBUG: <1277248518.823993> (ttyUSB0): apn => "internet"
** (modem-manager:30278): DEBUG: <1277248518.824133> (ttyUSB0): simple connect state 0
** (modem-manager:30278): DEBUG: <1277248518.824195> (ttyUSB0): simple connect state 2
** (modem-manager:30278): DEBUG: <1277248518.825800> (ttyUSB0): <-- '<CR><LF>+COPS: 0,2,"65510",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.826016> (ttyUSB0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:30278): DEBUG: <1277248518.882680> (ttyUSB0): <-- '<CR><LF>+COPS: 0,0,"FFFFFFFFFFFFFFFF",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:30278): DEBUG: <1277248518.882881> (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:30278): DEBUG: <1277248518.896202> (ttyUSB0): <-- '<CR><LF>+CSQ: 14,99<CR><LF><CR><LF>OK<CR><LF>'

Program exited with code 01.
Missing separate debuginfos, use: debuginfo-install dbus-glib-0.84-3.fc13.x86_64 dbus-libs-1.2.24-1.fc13.x86_64 glib2-2.24.1-1.fc13.x86_64 glibc-2.12-2.x86_64 libgudev1-151-10.fc13.x86_64 libudev-151-10.fc13.x86_64
(gdb) t a a bt
(gdb) quit
Comment 13 Jirka Klimes 2010-06-23 11:08:15 EDT
(In reply to comment #12)
Updated modem-manager didn't crash (so no backtrace on 't a a bt'). So it fixes the issue from comment #2.

It appears there is another issue.
(In reply to comment #10)
Jun 22 13:54:41 fedora kernel: option: option_instat_callback: error -108
Jun 22 13:54:41 fedora kernel: option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
Jun 22 13:54:41 fedora kernel: option 5-2:1.0: device disconnected
Jun 22 13:54:41 fedora kernel: option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
Jun 22 13:54:41 fedora kernel: option 5-2:1.1: device disconnected

These lines from the output suggest kernel driver problem.
Louis, could you check your firmware version as described here:
https://bugzilla.kernel.org/show_bug.cgi?id=14499#c35

See also bug for Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/449394
Comment 14 Louis van Dyk 2010-06-23 11:57:51 EDT
It took a long time to update the status, but:

AT+GCAP
Manufacturer: huawei
Model: E220
Revision: 11.117.10.00.00
IMEI: 356635020257609
+GCAP: +CGSM,+DS,+ES

COMMAND NOT SUPPORT
AT+GCAP
+GCAP: +CGSM,+DS,+ES

OK
AT+GCAP
+GCAP: +CGSM,+DS,+ES

OK

According to the link you quoted, the minimum working firmware version for the Huawei E220 is 11.117.09.04.00, so I have a later version than that.

Also, reading through the posts reminded me that if I use a wvdial script it DOES connect, so I don't think the firmware is the problem.

[root@fedora Download]# wvdial
--> WvDial: Internet dialer version 1.61
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT*99#
--> Waiting for carrier.
ATDT*99#
CONNECT
--> Carrier detected.  Waiting for prompt.
--> Don't know what to do!  Starting pppd and hoping for the best.
--> Starting pppd at Wed Jun 23 17:55:11 2010
--> Pid of pppd: 8137
--> Using interface ppp0
--> local  IP address 41.117.30.36
--> remote IP address 10.64.64.64
--> primary   DNS address 41.208.11.219
--> secondary DNS address 209.212.96.1
Comment 15 Louis van Dyk 2010-06-24 13:32:08 EDT
Further to the firmware question ... using a friend's E226 (see details below) I experience EXACTLY the same problem.  Same errors in /var/log/messages and also can dial using wvdial script.  But I need it to work in Network Manager!

Welcome to minicom 2.3

OPTIONS: I18n 
Compiled on Mar 16 2010, 13:29:26.
Port /dev/ttyUSB0

                 Press CTRL-A Z for help on special keys                                                            
                                                                                                                    
AT S7=45 S0=0 L1 V1 X4 &c1 E1 Q0                                                                                    
OK                                                                                                                  
ati                                                                                                                 
Manufacturer: huawei
Model: E226
Revision: 11.310.09.04.110
IMEI: 357650013624060
+GCAP: +CGSM,+DS,+ES

OK
Comment 16 Louis van Dyk 2010-06-27 12:11:53 EDT
Bump
Comment 17 Dan Williams 2010-06-28 15:17:28 EDT
With the new ModemManager that no longer crashes, is there any chance you could post the full modem-manager --debug log from a connection attempt with NetworkManager?  I'd like to get a fresh log:

1) start with the device unplugged
2) service NetworkManager stop
3) killall -TERM modem-manager
4) modem-manager --debug
5) NM_PPP_DEBUG=1 NetworkManager --no-daemon --log-level=debug

then try to connect to the network, and attach the modem-manager and NetworkManager logs to the report so we can figure out what's going on now that MM doesn't crash.  Thansk!
Comment 18 Dan Williams 2010-06-28 18:17:22 EDT
*** Bug 587551 has been marked as a duplicate of this bug. ***
Comment 19 Louis van Dyk 2010-06-29 21:21:48 EDT
Created attachment 427836 [details]
Log of Modem Manager test on 30 June 2010

This ran concurrently with the next attachment.

NOTE:  It appears that modem-manager TERMINATED in this case.  After attempting to connect from within NetworkManager, the modem-manager process that was running exited to a command prompt.
Comment 20 Louis van Dyk 2010-06-29 21:23:35 EDT
Created attachment 427837 [details]
Log of Network Manager test on 30 June 2010

This ran concurrently with the previous attachment.

NOTE:  It appears that modem-manager TERMINATED in this case.  After attempting to connect from within NetworkManager, the modem-manager process that was running exited to a command prompt.

The installed packages currently are:
ModemManager-0.4-1.git20100622.fc13.x86_64
NetworkManager-0.8.1-0.1.git20100510.fc13.x86_64
Comment 21 Louis van Dyk 2010-07-09 16:49:03 EDT
Bump again
Comment 22 Louis van Dyk 2010-07-19 12:22:52 EDT
Dan?
Comment 23 Jirka Klimes 2010-07-20 05:29:05 EDT
Do you see some errors in dmesg?

Looks like modem-manager quits. Both in comment #12 and comment #19, the last trace is 'AT+CSQ'. Do you see any weirdness when running the command via minicom?

It would be nice to have call trace from modem-manager to see the last function. Would you mind do run steps in comment #17 again, but now with step 4) like this:
4) callgraph /usr/sbin/modem-manager --debug

You get callgraph script here:
wget http://superadditive.com/software/callgraph.tar.gz

(It runs program using gdb to trace called functions.)
Comment 24 yunus 2010-07-20 09:46:49 EDT
I confirm that comment #8 solve my problem.

I got the package here
http://koji.fedoraproject.org/koji/buildinfo?buildID=180275

ModemManager-0.4-2.git20100628.fc13.x86_64

NetworkManager-vpnc-0.8.0-1.git20100411.fc13.x86_64
NetworkManager-openconnect-0.8.0-1.git20100411.fc13.x86_64
NetworkManager-openvpn-0.8.1-0.1.git20100609.fc13.x86_64
NetworkManager-glib-0.8.1-0.1.git20100510.fc13.x86_64
NetworkManager-0.8.1-0.1.git20100510.fc13.x86_64
NetworkManager-gnome-0.8.1-0.1.git20100510.fc13.x86_64
ModemManager-0.4-2.git20100628.fc13.x86_64
NetworkManager-pptp-0.8.0-1.git20100411.fc13.x86_64


kernel-2.6.33.6-147.fc13.x86_64
Comment 25 yunus 2010-07-20 12:37:24 EDT
ah sorry. It seems that problem is still there. Here messages from dmesg
------------------<snip>----------------------------------

usb 2-2: USB disconnect, address 16
usb 2-2: new full speed USB device using uhci_hcd and address 17
usb 2-2: New USB device found, idVendor=12d1, idProduct=1003
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-2: Product: HUAWEI Mobile
usb 2-2: Manufacturer: HUAWEI Technologies
scsi73 : usb-storage 2-2:1.0
usb 2-2: USB disconnect, address 17
usb 2-2: new full speed USB device using uhci_hcd and address 18
usb 2-2: New USB device found, idVendor=12d1, idProduct=1003
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-2: Product: HUAWEI Mobile
usb 2-2: Manufacturer: HUAWEI Technologies
option 2-2:1.0: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB0
option 2-2:1.1: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB1
scsi76 : usb-storage 2-2:1.2
scsi 76:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
sr1: scsi-1 drive
sr 76:0:0:0: Attached scsi CD-ROM sr1
sr 76:0:0:0: Attached scsi generic sg2 type 5
sr1: CDROM (ioctl) error, command: Xpwrite, Read disk info 51 00 00 00 00 00 00 00 02 00
sr: Sense Key : Hardware Error [current] 
sr: Add. Sense: No additional sense information
sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
sr: Sense Key : Hardware Error [current] 
sr: Add. Sense: No additional sense information
sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
sr: Sense Key : Hardware Error [current] 
sr: Add. Sense: No additional sense information
option: option_instat_callback: error -108
option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
option 2-2:1.0: device disconnected
option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
option 2-2:1.1: device disconnected
usb 2-2: reset full speed USB device using uhci_hcd and address 18
option 2-2:1.1: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB0
option 2-2:1.0: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB1
option: option_instat_callback: error -108
option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
option 2-2:1.0: device disconnected
option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
option 2-2:1.1: device disconnected
usb 2-2: USB disconnect, address 18
usb 2-2: new low speed USB device using uhci_hcd and address 19
hub 2-0:1.0: unable to enumerate USB device on port 2
usb 2-2: new full speed USB device using uhci_hcd and address 20
usb 2-2: New USB device found, idVendor=12d1, idProduct=1003
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-2: Product: HUAWEI Mobile
usb 2-2: Manufacturer: HUAWEI Technologies
option 2-2:1.0: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB0
option 2-2:1.1: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB1
scsi81 : usb-storage 2-2:1.2
option: option_instat_callback: error -108
option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
option 2-2:1.0: device disconnected
option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
option 2-2:1.1: device disconnected
usb 2-2: reset full speed USB device using uhci_hcd and address 20
option 2-2:1.1: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB0
option 2-2:1.0: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB1
scsi 81:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
sr1: scsi-1 drive
sr 81:0:0:0: Attached scsi CD-ROM sr1
sr 81:0:0:0: Attached scsi generic sg2 type 5
sr1: CDROM (ioctl) error, command: Xpwrite, Read disk info 51 00 00 00 00 00 00 00 02 00
sr: Sense Key : Hardware Error [current] 
sr: Add. Sense: No additional sense information
sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
sr: Sense Key : Hardware Error [current] 
sr: Add. Sense: No additional sense information
sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 00 00 00 00 00 20 00
sr: Sense Key : Hardware Error [current] 
sr: Add. Sense: No additional sense information
option: option_instat_callback: error -108
option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
option 2-2:1.0: device disconnected
option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
option 2-2:1.1: device disconnected
usb 2-2: reset full speed USB device using uhci_hcd and address 20
option 2-2:1.1: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB0
option 2-2:1.0: GSM modem (1-port) converter detected
usb 2-2: GSM modem (1-port) converter now attached to ttyUSB2
option: option_instat_callback: error -108
option1 ttyUSB2: GSM modem (1-port) converter now disconnected from ttyUSB2
option 2-2:1.0: device disconnected
option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
option 2-2:1.1: device disconnected
usb 2-2: reset full speed USB device using uhci_hcd and address 20
usb 2-2: device descriptor read/64, error -71
usb 2-2: device descriptor read/64, error -71
usb 2-2: reset full speed USB device using uhci_hcd and address 20
usb 2-2: device descriptor read/64, error -71
usb 2-2: device descriptor read/64, error -71
usb 2-2: reset full speed USB device using uhci_hcd and address 20
usb 2-2: device not accepting address 20, error -71
usb 2-2: reset full speed USB device using uhci_hcd and address 20
usb 2-2: device not accepting address 20, error -71
usb 2-2: USB disconnect, address 20
sr 81:0:0:0: Device offlined - not ready after error recovery
sr 81:0:0:0: rejecting I/O to offline device
sr 81:0:0:0: rejecting I/O to offline device
scsi 81:0:0:0: rejecting I/O to dead device
usb 2-2: new full speed USB device using uhci_hcd and address 21
usb 2-2: device descriptor read/64, error -71
usb 2-2: device descriptor read/64, error -71
usb 2-2: new full speed USB device using uhci_hcd and address 22
usb 2-2: device descriptor read/64, error -71
usb 2-2: device descriptor read/64, error -71
usb 2-2: new full speed USB device using uhci_hcd and address 23
usb 2-2: device not accepting address 23, error -71
usb 2-2: new full speed USB device using uhci_hcd and address 24
usb 2-2: device not accepting address 24, error -71
hub 2-0:1.0: unable to enumerate USB device on port 2
[root@localhost Downloads]#
Comment 26 Dan Williams 2010-07-20 13:41:46 EDT
(In reply to comment #25)
> ah sorry. It seems that problem is still there. Here messages from dmesg
> ------------------<snip>----------------------------------
> 
> usb 2-2: USB disconnect, address 16
> usb 2-2: new full speed USB device using uhci_hcd and address 17
> usb 2-2: New USB device found, idVendor=12d1, idProduct=1003
> usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
> usb 2-2: Product: HUAWEI Mobile
> usb 2-2: Manufacturer: HUAWEI Technologies
> scsi73 : usb-storage 2-2:1.0
> usb 2-2: USB disconnect, address 17

yunus; the problems you're having here are not related to the original bug; could you file a new one please for your specific issue?
Comment 27 Dan Williams 2010-07-20 13:44:37 EDT
Aha, I just fixed the issue in comment #12, which is because the modem reports an invalid carrier string FFFFFFFFFFFFFFFF which for various reasons we sometimes need to decode from a hexadecimal string into a UTF-8 string.  And error in ModemManager was incorrectly decoding that string (which in this case isn't valid anyway) and MM tried to send invalid UTF-8 through D-Bus, which then terminates ModemManager.

*** This bug has been marked as a duplicate of bug 597088 ***

Note You need to log in before you can comment on or make changes to this bug.